#!/bin/bash

# v0.2: 20131024: call 820_create_dev_fs.sh to create vab820 demo image
# v0.1: add exit value


check_boot_media_files()
{
if [ ! -f ./${shCreateBootMedia} ] ; then
 echo -e "please check files:\n ./${shCreateBootMedia}\n\n"
 exit 1
fi
}

check_boot_media_variables()
{
shCreateBootMedia=820_create_dev_fs.sh

check_boot_media_files
}

do_boot_media()
{
 . $shCreateBootMedia -d $1

exit 0
}

usage()
{
echo -e "usage: $1 <sd_card_device>\nexample: $1 /dev/sdc\n"
exit 1
}


# main
storageDev=/dev/sdf
input_device_name()
{
 local devs=( $( ls /dev/sd? ) )
 local i
 echo -e "select Micro SD card device name.(default is 0)"
 for (( i=0; i<${#devs[@]} ;i++)); do echo "$i. ${devs[$i]} "; done
 read -p "select a u-boot (0 ~ $((${#devs[@]}-1))) : "
 storageDev=${devs[$REPLY]}
}


check_boot_media_variables
if [ $# -lt 1 ]; then
 input_device_name
elif [ "$1" == "-h" ]; then
 usage
else
 storageDev=$1
fi
echo $storageDev
do_boot_media $storageDev


